Index: branches/proxy/src/ability.cc
===================================================================
--- branches/proxy/src/ability.cc	(revision 9356)
+++ branches/proxy/src/ability.cc	(revision 9357)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -20,5 +20,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/ai/ai.cc
===================================================================
--- branches/proxy/src/ai/ai.cc	(revision 9356)
+++ branches/proxy/src/ai/ai.cc	(revision 9357)
@@ -20,5 +20,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/aabb.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/aabb.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/aabb.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/aabb_tree_node.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/aabb_tree_node.cc	(revision 9357)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/bounding_sphere.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/bounding_sphere.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/bounding_sphere.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "bounding_sphere.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/bounding_volume.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/bounding_volume.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/bounding_volume.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "bounding_volume.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/bv_tree.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/bv_tree.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/bv_tree.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "bv_tree.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/bv_tree_node.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/bv_tree_node.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/bv_tree_node.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "bv_tree_node.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/cd_engine.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9357)
@@ -34,5 +34,5 @@
 #include "bsp_entity.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/obb.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/obb.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/obb.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/obb_tree.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/obb_tree.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/obb_tree.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "p_node.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9357)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/collision.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/collision.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/collision.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/collision_event.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/collision_event.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/collision_event.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9357)
@@ -29,5 +29,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -204,5 +204,5 @@
 
   // collision reaction calculations (for every collision there will be a reaction)
-  vector<Collision*>::iterator it = this->collisionList.begin();
+  std::vector<Collision*>::iterator it = this->collisionList.begin();
   for(; it < this->collisionList.end(); it++) {
     if( !(*it)->isDispatched())
@@ -227,5 +227,5 @@
 bool CollisionHandle::filterCollisionEvent(CollisionEvent* collisionEvent)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
@@ -276,5 +276,5 @@
 bool CollisionHandle::filterCollision(Collision* collision)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
Index: branches/proxy/src/lib/collision_reaction/collision_reaction.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/collision_reaction.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/collision_reaction.cc	(revision 9357)
@@ -19,5 +19,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/cr_engine.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/cr_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/cr_engine.cc	(revision 9357)
@@ -27,5 +27,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -61,8 +61,8 @@
   this->reset();
 
-  vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
   for(; it1 < this->collisionsUnused.end(); it1++)
     delete *it1;
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
   for(; it2 < this->collisionEventsUnused.end(); it2++)
     delete *it2;
@@ -92,5 +92,5 @@
   // first clear all CollisionHandles
 
-  vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
+  std::vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
   for(; it < this->collisionHandles.end(); it++)
   {
@@ -159,9 +159,9 @@
 void CREngine::flushCollisions()
 {
-  vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
   for(; it1 < this->collisionsUsed.end(); it1++)
     this->collisionsUnused.push_back(*it1);
 
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
   for(; it2 < this->collisionEventsUsed.end(); it2++)
     this->collisionEventsUnused.push_back(*it2);
Index: branches/proxy/src/lib/collision_reaction/cr_object_damage.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/cr_object_damage.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/cr_object_damage.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/cr_physics_full_walk.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9357)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/collision_reaction/cr_physics_ground_walk.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9356)
+++ branches/proxy/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9357)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/event/key_mapper.cc
===================================================================
--- branches/proxy/src/lib/event/key_mapper.cc	(revision 9356)
+++ branches/proxy/src/lib/event/key_mapper.cc	(revision 9357)
@@ -31,5 +31,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/cloud_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/cloud_effect.cc	(revision 9357)
@@ -40,5 +40,5 @@
 float     CloudEffect::fadeTime;
 
-using namespace std;
+
 
 SHELL_COMMAND(activate, CloudEffect, activateCloud);
Index: branches/proxy/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/fog_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/fog_effect.cc	(revision 9357)
@@ -28,5 +28,5 @@
 SHELL_COMMAND(fadeout, FogEffect, fadeOutFog);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(FogEffect, CL_FOG_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/graphics_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/graphics_effect.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/lense_flare.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/lense_flare.cc	(revision 9357)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/lightning_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/lightning_effect.cc	(revision 9357)
@@ -34,5 +34,5 @@
 SHELL_COMMAND(deactivate, LightningEffect, deactivateLightning);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(LightningEffect, CL_LIGHTNING_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/rain_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/rain_effect.cc	(revision 9357)
@@ -39,5 +39,5 @@
 SHELL_COMMAND(stopraining, RainEffect, stopRaining);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(RainEffect, CL_RAIN_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/sun_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/sun_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/sun_effect.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/volfog_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/volfog_effect.cc	(revision 9357)
@@ -47,5 +47,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(VolFogEffect, CL_VOLFOG_EFFECT);
Index: branches/proxy/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/weather_effect.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/effects/weather_effect.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/importer/bsp_file.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/bsp_file.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/bsp_file.cc	(revision 9357)
@@ -40,5 +40,5 @@
 #include <vector>
 
-using namespace std;
+
 
 
@@ -96,5 +96,5 @@
   if (stat( name , &results) == 0) {
     PRINTF(0)("BSP FILE: Datei %s gefunden. \n", name);
-    ifstream bspFile (name, ios::in | ios::binary);
+    std::ifstream bspFile (name, std::ios::in | std::ios::binary);
     bspFile.read(this->header, 260);
     PRINTF(0)("BSP FILE: BSPVersion: %i. \n", ((int *)(header) )[1]);
Index: branches/proxy/src/lib/graphics/importer/grid.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/grid.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/grid.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "grid.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/importer/interactive_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/interactive_model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/interactive_model.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "glincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/md2/md2Model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/md2/md2Model.cc	(revision 9357)
@@ -22,5 +22,5 @@
 
 
-using namespace std;
+
 
 //! the model anorms
Index: branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc	(revision 9357)
@@ -26,5 +26,5 @@
 
 
-using namespace std;
+
 
 namespace md3
Index: branches/proxy/src/lib/graphics/importer/model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/model.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "glincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/primitive_model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/primitive_model.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/static_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include <stdarg.h>
 
-using namespace std;
+
 
 
@@ -178,5 +178,5 @@
 
   //! @todo do we really have to delete this material??
-  list<ModelMaterial*>::iterator modMat;
+  std::list<ModelMaterial*>::iterator modMat;
   for(modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
   {
@@ -358,5 +358,5 @@
 Material* StaticModel::findMaterialByName(const std::string& materialName)
 {
-  list<ModelMaterial*>::iterator modMat;
+  std::list<ModelMaterial*>::iterator modMat;
   for  (modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
     if (materialName == (*modMat)->material->getName())
Index: branches/proxy/src/lib/graphics/importer/vertex_array_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "tc.h"
 
-using namespace std;
+
 
 /////////////
Index: branches/proxy/src/lib/graphics/render2D/image_plane.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/image_plane.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/render2D/image_plane.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/render2D/render_2d.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/render_2d.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/render2D/render_2d.cc	(revision 9357)
@@ -22,5 +22,5 @@
 #include "element_2d.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/shader.cc
===================================================================
--- branches/proxy/src/lib/graphics/shader.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/shader.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #endif
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-using namespace std;
+
 #define QUADTREE_MATERIAL_COUNT       4
 
Index: branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "util/list.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "compiler.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- branches/proxy/src/lib/graphics/text_engine/text_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/graphics/text_engine/text_engine.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "font.h"
 
-using namespace std;
+
 
 #include <stdlib.h>
@@ -122,5 +122,5 @@
 void TextEngine::debug() const
 {
-  const list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
+  const std::list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
   if (textList != NULL)
   {
@@ -130,5 +130,5 @@
     PRINT(0)("Reference: %p; Text Counts: %d\n", this, textList->size());
 
-    list<BaseObject*>::const_iterator text;
+    std::list<BaseObject*>::const_iterator text;
     for ( text = textList->begin(); text != textList->end(); text++)
       dynamic_cast<Text*>(*text)->debug();
Index: branches/proxy/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- branches/proxy/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9356)
+++ branches/proxy/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9357)
@@ -27,5 +27,5 @@
 CREATE_FACTORY(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 
-using namespace std;
+
 /**
  * @param root The Element to load the GLMenu from
Index: branches/proxy/src/lib/gui/gtk/gui.h
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui.h	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui.h	(revision 9357)
@@ -14,5 +14,5 @@
 #define _GUI_H
 
-using namespace std;
+
 
 #define GUI_DEFAULT_CONF_DIR "~/.orxonox"
Index: branches/proxy/src/lib/gui/gtk/gui_element.cc
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui_element.cc	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui_element.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "gui_gtk.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/gui/gtk/gui_exec.h
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui_exec.h	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui_exec.h	(revision 9357)
@@ -15,5 +15,5 @@
 class Widget;
 class CheckButton;
-using namespace std;
+
 class IniParser;
 
Index: branches/proxy/src/lib/gui/gtk/gui_gtk.cc
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui_gtk.cc	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui_gtk.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #include <cmath>
 
-using namespace std;
+
 
 #include "gui_flags.h"
Index: branches/proxy/src/lib/gui/gtk/gui_update.cc
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui_update.cc	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui_update.cc	(revision 9357)
@@ -31,5 +31,5 @@
 #include "globals.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/gui/gtk/gui_update.h
===================================================================
--- branches/proxy/src/lib/gui/gtk/gui_update.h	(revision 9356)
+++ branches/proxy/src/lib/gui/gtk/gui_update.h	(revision 9357)
@@ -24,5 +24,5 @@
 #include <pthread.h>
 #endif /* HAVE_PTHREAD_H */
-using namespace std;
+
 
 //! Class that creates the execute-Options.
Index: branches/proxy/src/lib/lang/class_list.cc
===================================================================
--- branches/proxy/src/lib/lang/class_list.cc	(revision 9356)
+++ branches/proxy/src/lib/lang/class_list.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include <cmath>
 
-using namespace std;
+
 
 /**
@@ -61,5 +61,5 @@
 {
   if (unlikely(classList == NULL))
-    ClassList::classList = new list<ClassList>();
+    ClassList::classList = new std::list<ClassList>();
 
   PRINTF(5)("subscribe a '%s'\n", className.c_str() );
@@ -85,5 +85,5 @@
 void ClassList::removeFromClassList(BaseObject* objectPointer)
 {
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for(cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
   {
@@ -110,5 +110,5 @@
       ClassList::classNames.clear();
 
-      list<ClassList>::const_iterator cl;
+      std::list<ClassList>::const_iterator cl;
       for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
         ClassList::classNames.push_back((*cl).className);
@@ -213,5 +213,5 @@
   else
   {
-    list<ClassList>::iterator cl;
+    std::list<ClassList>::iterator cl;
     for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     {
@@ -268,5 +268,5 @@
   else
   {
-    list<ClassList>::iterator cl;
+    std::list<ClassList>::iterator cl;
     for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     {
@@ -299,5 +299,5 @@
 void ClassList::whatIs(const BaseObject* object)
 {
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
     if (object->isA((*cl).classID))
@@ -359,5 +359,5 @@
   int lenCount = 0;
 
-  list<ClassList>::iterator cl;
+  std::list<ClassList>::iterator cl;
   for (cl = ClassList::classList->begin(); cl != ClassList::classList->end(); cl++)
   {
@@ -377,5 +377,5 @@
       {
         PRINT(0)("|  Listing Instances:\n");
-        list<BaseObject*>::const_iterator bo;
+        std::list<BaseObject*>::const_iterator bo;
         for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
         {
Index: branches/proxy/src/lib/math/line.cc
===================================================================
--- branches/proxy/src/lib/math/line.cc	(revision 9356)
+++ branches/proxy/src/lib/math/line.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/math/plane.cc
===================================================================
--- branches/proxy/src/lib/math/plane.cc	(revision 9356)
+++ branches/proxy/src/lib/math/plane.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/math/rotation_OBSOLETE.cc
===================================================================
--- branches/proxy/src/lib/math/rotation_OBSOLETE.cc	(revision 9356)
+++ branches/proxy/src/lib/math/rotation_OBSOLETE.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #endif
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/math/vector2D.cc
===================================================================
--- branches/proxy/src/lib/math/vector2D.cc	(revision 9356)
+++ branches/proxy/src/lib/math/vector2D.cc	(revision 9357)
@@ -27,5 +27,5 @@
 #endif
 
-using namespace std;
+
 
 /////////////
Index: branches/proxy/src/lib/network/converter.cc
===================================================================
--- branches/proxy/src/lib/network/converter.cc	(revision 9356)
+++ branches/proxy/src/lib/network/converter.cc	(revision 9357)
@@ -30,5 +30,5 @@
 
 /* using namespace std is default, this needs to be here */
-using namespace std;
+
 
 /*!
Index: branches/proxy/src/lib/network/data_stream.cc
===================================================================
--- branches/proxy/src/lib/network/data_stream.cc	(revision 9356)
+++ branches/proxy/src/lib/network/data_stream.cc	(revision 9357)
@@ -19,5 +19,5 @@
 
 /* using namespace std is default, this needs to be here */
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/network/message_manager.cc
===================================================================
--- branches/proxy/src/lib/network/message_manager.cc	(revision 9356)
+++ branches/proxy/src/lib/network/message_manager.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "shared_network_data.h"
 
-using namespace std;
+
 
 MessageManager* MessageManager::singletonRef = NULL;
Index: branches/proxy/src/lib/network/monitor/connection_monitor.cc
===================================================================
--- branches/proxy/src/lib/network/monitor/connection_monitor.cc	(revision 9356)
+++ branches/proxy/src/lib/network/monitor/connection_monitor.cc	(revision 9357)
@@ -22,5 +22,5 @@
 
 /* using namespace std is default, this needs to be here */
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/network/network_game_manager.cc
===================================================================
--- branches/proxy/src/lib/network/network_game_manager.cc	(revision 9356)
+++ branches/proxy/src/lib/network/network_game_manager.cc	(revision 9357)
@@ -46,5 +46,5 @@
 
 
-using namespace std;
+
 
 NetworkGameManager* NetworkGameManager::singletonRef = NULL;
Index: branches/proxy/src/lib/network/network_manager.cc
===================================================================
--- branches/proxy/src/lib/network/network_manager.cc	(revision 9356)
+++ branches/proxy/src/lib/network/network_manager.cc	(revision 9357)
@@ -34,5 +34,5 @@
 
 /* using namespace std is default, this needs to be here */
-using namespace std;
+
 
 SHELL_COMMAND(debug, NetworkManager, debug);
Index: branches/proxy/src/lib/network/network_protocol.cc
===================================================================
--- branches/proxy/src/lib/network/network_protocol.cc	(revision 9356)
+++ branches/proxy/src/lib/network/network_protocol.cc	(revision 9357)
@@ -33,5 +33,5 @@
 
 /* using namespace std is default, this needs to be here */
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9356)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9357)
@@ -51,5 +51,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/network/peer_info.cc
===================================================================
--- branches/proxy/src/lib/network/peer_info.cc	(revision 9356)
+++ branches/proxy/src/lib/network/peer_info.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/network/proxy/proxy_settings.cc
===================================================================
--- branches/proxy/src/lib/network/proxy/proxy_settings.cc	(revision 9356)
+++ branches/proxy/src/lib/network/proxy/proxy_settings.cc	(revision 9357)
@@ -22,5 +22,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/network/shared_network_data.cc
===================================================================
--- branches/proxy/src/lib/network/shared_network_data.cc	(revision 9356)
+++ branches/proxy/src/lib/network/shared_network_data.cc	(revision 9357)
@@ -20,5 +20,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/parser/cmdline_parser/cmdline_parser.cc
===================================================================
--- branches/proxy/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 9356)
+++ branches/proxy/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "src/lib/util/substring.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- branches/proxy/src/lib/parser/ini_parser/ini_parser.cc	(revision 9356)
+++ branches/proxy/src/lib/parser/ini_parser/ini_parser.cc	(revision 9357)
@@ -35,5 +35,5 @@
 #endif
 
-using namespace std;
+
 
 /**
@@ -142,5 +142,5 @@
       if ( (*lineBegin == '#' || *lineBegin == ';'))
       {
-        string newCommenLine = lineBegin;
+        std::string newCommenLine = lineBegin;
         this->commentList.push_back(newCommenLine);
         continue;
@@ -242,4 +242,5 @@
   }
   fclose(stream);
+  return true;
 }
 
Index: branches/proxy/src/lib/parser/preferences/cmd_line_prefs_reader.cc
===================================================================
--- branches/proxy/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 9356)
+++ branches/proxy/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "preferences.h"
 
-using namespace std;
+
 
 RegistredArgs CmdLinePrefsReader::regArgs;
Index: branches/proxy/src/lib/parser/preferences/ini_file_prefs_reader.cc
===================================================================
--- branches/proxy/src/lib/parser/preferences/ini_file_prefs_reader.cc	(revision 9356)
+++ branches/proxy/src/lib/parser/preferences/ini_file_prefs_reader.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "ini_file_prefs_reader.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/particles/box_emitter.cc
===================================================================
--- branches/proxy/src/lib/particles/box_emitter.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/box_emitter.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/particles/dot_emitter.cc
===================================================================
--- branches/proxy/src/lib/particles/dot_emitter.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/dot_emitter.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/particles/dot_particles.cc
===================================================================
--- branches/proxy/src/lib/particles/dot_particles.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/dot_particles.cc	(revision 9357)
@@ -33,5 +33,5 @@
     ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/particles/engine/particle_engine.cc
===================================================================
--- branches/proxy/src/lib/particles/engine/particle_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/engine/particle_engine.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/particles/model_particles.cc
===================================================================
--- branches/proxy/src/lib/particles/model_particles.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/model_particles.cc	(revision 9357)
@@ -33,5 +33,5 @@
 ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/particles/particle_emitter.cc
===================================================================
--- branches/proxy/src/lib/particles/particle_emitter.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/particle_emitter.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/particles/particle_system.cc
===================================================================
--- branches/proxy/src/lib/particles/particle_system.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/particle_system.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #include <algorithm>
 
-using namespace std;
+
 /**
  *  standard constructor
Index: branches/proxy/src/lib/particles/plane_emitter.cc
===================================================================
--- branches/proxy/src/lib/particles/plane_emitter.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/plane_emitter.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/particles/quick_animation.cc
===================================================================
--- branches/proxy/src/lib/particles/quick_animation.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/quick_animation.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include <algorithm>
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/particles/spark_particles.cc
===================================================================
--- branches/proxy/src/lib/particles/spark_particles.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/spark_particles.cc	(revision 9357)
@@ -29,5 +29,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SparkParticles, CL_SPARK_PARTICLES);
Index: branches/proxy/src/lib/particles/sprite_particles.cc
===================================================================
--- branches/proxy/src/lib/particles/sprite_particles.cc	(revision 9356)
+++ branches/proxy/src/lib/particles/sprite_particles.cc	(revision 9357)
@@ -33,5 +33,5 @@
     ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/physics/fields/field.cc
===================================================================
--- branches/proxy/src/lib/physics/fields/field.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/fields/field.cc	(revision 9357)
@@ -22,5 +22,5 @@
 #include "util/loading/factory.h"
 #include "util/loading/load_param.h"
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/physics/fields/gravity.cc
===================================================================
--- branches/proxy/src/lib/physics/fields/gravity.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/fields/gravity.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Gravity, CL_FIELD_GRAVITY);
Index: branches/proxy/src/lib/physics/fields/point_gravity.cc
===================================================================
--- branches/proxy/src/lib/physics/fields/point_gravity.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/fields/point_gravity.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "point_gravity.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/physics/fields/twirl.cc
===================================================================
--- branches/proxy/src/lib/physics/fields/twirl.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/fields/twirl.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "twirl.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/physics/physics_connection.cc
===================================================================
--- branches/proxy/src/lib/physics/physics_connection.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/physics_connection.cc	(revision 9357)
@@ -27,5 +27,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(PhysicsConnection, CL_PHYSICS_CONNECTION);
Index: branches/proxy/src/lib/physics/physics_engine.cc
===================================================================
--- branches/proxy/src/lib/physics/physics_engine.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/physics_engine.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 
@@ -162,5 +162,5 @@
 Field* PhysicsEngine::getFieldByName(const std::string& fieldName) const
 {
-  list<Field*>::const_iterator field;
+  std::list<Field*>::const_iterator field;
   for (field = this->fields.begin(); field != this->fields.end(); field++)
     if (fieldName == (*field)->getName())
@@ -199,5 +199,5 @@
 PhysicsConnection* PhysicsEngine::getPhysicsConnectionByName(const std::string& physicsConnectionName) const
 {
-  list<PhysicsConnection*>::const_iterator pc;
+  std::list<PhysicsConnection*>::const_iterator pc;
   for (pc = this->connections.begin(); pc != this->connections.end(); pc++)
     if (physicsConnectionName == (*pc)->getName())
@@ -218,5 +218,5 @@
   /* go through all the PhysicsInterface(s) and tick them,
   meaning let the fields work */
-  list<PhysicsConnection*>::iterator pc;
+  std::list<PhysicsConnection*>::iterator pc;
   for (pc = this->connections.begin(); pc != this->connections.end(); pc++)
     (*pc)->apply();
@@ -225,5 +225,5 @@
   if (this->interfaces != NULL || (this->interfaces = ClassList::getList(CL_PHYSICS_INTERFACE)) != NULL)
   {
-    list<BaseObject*>::const_iterator tickPhys;
+    std::list<BaseObject*>::const_iterator tickPhys;
     for (tickPhys = this->interfaces->begin(); tickPhys != this->interfaces->end(); tickPhys++)
       dynamic_cast<PhysicsInterface*>(*tickPhys)->tickPhys(dt);
Index: branches/proxy/src/lib/physics/physics_interface.cc
===================================================================
--- branches/proxy/src/lib/physics/physics_interface.cc	(revision 9356)
+++ branches/proxy/src/lib/physics/physics_interface.cc	(revision 9357)
@@ -29,5 +29,5 @@
 #include "stdincl.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/util/helper_functions.cc
===================================================================
--- branches/proxy/src/lib/util/helper_functions.cc	(revision 9356)
+++ branches/proxy/src/lib/util/helper_functions.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/util/loading/dynamic_loader.cc
===================================================================
--- branches/proxy/src/lib/util/loading/dynamic_loader.cc	(revision 9356)
+++ branches/proxy/src/lib/util/loading/dynamic_loader.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/util/loading/factory.cc
===================================================================
--- branches/proxy/src/lib/util/loading/factory.cc	(revision 9356)
+++ branches/proxy/src/lib/util/loading/factory.cc	(revision 9357)
@@ -19,5 +19,5 @@
 //#include "shell_command.h"
 
-using namespace std;
+
 
 //SHELL_COMMAND(create, Factory, fabricate);
Index: branches/proxy/src/lib/util/loading/resource.cc
===================================================================
--- branches/proxy/src/lib/util/loading/resource.cc	(revision 9356)
+++ branches/proxy/src/lib/util/loading/resource.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "resource.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/util/loading/resource_manager.cc
===================================================================
--- branches/proxy/src/lib/util/loading/resource_manager.cc	(revision 9356)
+++ branches/proxy/src/lib/util/loading/resource_manager.cc	(revision 9357)
@@ -50,5 +50,5 @@
 #include <unistd.h>
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/util/threading.cc
===================================================================
--- branches/proxy/src/lib/util/threading.cc	(revision 9356)
+++ branches/proxy/src/lib/util/threading.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "threading.h"
 
-using namespace std;
+
 
 namespace OrxThread
Index: branches/proxy/src/orxonox.cc
===================================================================
--- branches/proxy/src/orxonox.cc	(revision 9356)
+++ branches/proxy/src/orxonox.cc	(revision 9357)
@@ -66,5 +66,5 @@
 int verbose = 5;
 
-using namespace std;
+
 
 SHELL_COMMAND(restart, Orxonox, restart);
Index: branches/proxy/src/proto/proto_class.cc
===================================================================
--- branches/proxy/src/proto/proto_class.cc	(revision 9356)
+++ branches/proxy/src/proto/proto_class.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "proto_class.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/proto/proto_singleton.cc
===================================================================
--- branches/proxy/src/proto/proto_singleton.cc	(revision 9356)
+++ branches/proxy/src/proto/proto_singleton.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "proto_singleton.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/proto/proto_world_entity.cc
===================================================================
--- branches/proxy/src/proto/proto_world_entity.cc	(revision 9356)
+++ branches/proxy/src/proto/proto_world_entity.cc	(revision 9357)
@@ -16,5 +16,5 @@
 #include "proto_world_entity.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/campaign.cc
===================================================================
--- branches/proxy/src/story_entities/campaign.cc	(revision 9356)
+++ branches/proxy/src/story_entities/campaign.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "campaign_data.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/campaign_data.cc
===================================================================
--- branches/proxy/src/story_entities/campaign_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/campaign_data.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
@@ -103,5 +103,5 @@
   int                            nextStoryID;
   int                            storyID;
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
 
   nextStoryID = 0;
@@ -124,5 +124,5 @@
   int                            nextStoryID;
   int                            storyID;
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
 
   nextStoryID = this->currentEntity->getNextStoryID();
@@ -145,5 +145,5 @@
 StoryEntity* CampaignData::getLevel(int storyID)
 {
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
   for( it = this->storyEntities.begin(); it != this->storyEntities.end(); it++)
   {
Index: branches/proxy/src/story_entities/dedicated_server_world.cc
===================================================================
--- branches/proxy/src/story_entities/dedicated_server_world.cc	(revision 9356)
+++ branches/proxy/src/story_entities/dedicated_server_world.cc	(revision 9357)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 //! This creates a Factory to fabricate a DedicatedServerWorld
Index: branches/proxy/src/story_entities/game_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/game_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/game_world_data.cc	(revision 9357)
@@ -61,5 +61,5 @@
 
 
-using namespace std;
+
 
 
@@ -236,5 +236,5 @@
 
   Playable* playable;
-  const list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
+  const std::list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
   if (playableList != NULL && !playableList->empty())
   {
Index: branches/proxy/src/story_entities/movie_loader.cc
===================================================================
--- branches/proxy/src/story_entities/movie_loader.cc	(revision 9356)
+++ branches/proxy/src/story_entities/movie_loader.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(MovieLoader, CL_MOVIE_LOADER);
Index: branches/proxy/src/story_entities/multi_player_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9357)
@@ -53,5 +53,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/single_player_world.cc
===================================================================
--- branches/proxy/src/story_entities/single_player_world.cc	(revision 9356)
+++ branches/proxy/src/story_entities/single_player_world.cc	(revision 9357)
@@ -30,5 +30,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/single_player_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/single_player_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/single_player_world_data.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/story_entity.cc
===================================================================
--- branches/proxy/src/story_entities/story_entity.cc	(revision 9356)
+++ branches/proxy/src/story_entities/story_entity.cc	(revision 9357)
@@ -26,5 +26,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/subprojects/collision_detection/collision_test_entity.cc
===================================================================
--- branches/proxy/src/subprojects/collision_detection/collision_test_entity.cc	(revision 9356)
+++ branches/proxy/src/subprojects/collision_detection/collision_test_entity.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 CREATE_FACTORY(CollisionTestEntity, CL_ENVIRONMENT);
 
Index: branches/proxy/src/util/animation/animation3d.cc
===================================================================
--- branches/proxy/src/util/animation/animation3d.cc	(revision 9356)
+++ branches/proxy/src/util/animation/animation3d.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "p_node.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/util/animation/animation_player.cc
===================================================================
--- branches/proxy/src/util/animation/animation_player.cc	(revision 9356)
+++ branches/proxy/src/util/animation/animation_player.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "compiler.h"
 
-using namespace std;
+
 
 
@@ -100,5 +100,5 @@
   {
       // iterate through all the animations and tick them.
-    list<Animation*>::iterator anim;
+    std::list<Animation*>::iterator anim;
     for (anim = this->animationList.begin(); anim != this->animationList.end(); anim++)
     {
@@ -135,5 +135,5 @@
 Animation* AnimationPlayer::getAnimationFromBaseObject(const BaseObject* baseObject) const
 {
-  list<Animation*>::const_iterator anim;
+  std::list<Animation*>::const_iterator anim;
   for (anim = this->animationList.begin(); anim != this->animationList.end(); anim++)
     if((*anim)->getBaseObject() == baseObject)
@@ -156,5 +156,5 @@
   PRINT(0)("-Animation Information---------------+\n");
   // Per ANIMATION DEBUG
-  list<Animation*>::iterator anim;
+  std::list<Animation*>::iterator anim;
   for (anim = this->animationList.begin(); anim != this->animationList.end(); anim++)
     {
Index: branches/proxy/src/util/fast_factory.cc
===================================================================
--- branches/proxy/src/util/fast_factory.cc	(revision 9356)
+++ branches/proxy/src/util/fast_factory.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include <string.h>
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/util/game_rules.cc
===================================================================
--- branches/proxy/src/util/game_rules.cc	(revision 9356)
+++ branches/proxy/src/util/game_rules.cc	(revision 9357)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/kill.cc
===================================================================
--- branches/proxy/src/util/kill.cc	(revision 9356)
+++ branches/proxy/src/util/kill.cc	(revision 9357)
@@ -19,5 +19,5 @@
 #include "world_entity.h"
 
-using namespace std;
 
 
+
Index: branches/proxy/src/util/kill_target.cc
===================================================================
--- branches/proxy/src/util/kill_target.cc	(revision 9356)
+++ branches/proxy/src/util/kill_target.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(KillTarget, CL_KILL_TARGET);
Index: branches/proxy/src/util/mission_goal.cc
===================================================================
--- branches/proxy/src/util/mission_goal.cc	(revision 9356)
+++ branches/proxy/src/util/mission_goal.cc	(revision 9357)
@@ -22,5 +22,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- branches/proxy/src/util/multiplayer_team_deathmatch.cc	(revision 9356)
+++ branches/proxy/src/util/multiplayer_team_deathmatch.cc	(revision 9357)
@@ -49,5 +49,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/network_game_rules.cc
===================================================================
--- branches/proxy/src/util/network_game_rules.cc	(revision 9356)
+++ branches/proxy/src/util/network_game_rules.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/object_manager.cc
===================================================================
--- branches/proxy/src/util/object_manager.cc	(revision 9356)
+++ branches/proxy/src/util/object_manager.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-using namespace std;
+
 SHELL_COMMAND(debug, ObjectManager, debug)
     ->defaultValues("", 0);
@@ -117,5 +117,5 @@
   {
 
-    list<BaseObject*>::const_iterator node;
+    std::list<BaseObject*>::const_iterator node;
     for (node = objectList->begin(); node != objectList->end(); node++)
       if ((dynamic_cast<PNode*>(*node)->getAbsCoor() - center.getAbsCoor()).len() < radius)
Index: branches/proxy/src/util/singleplayer_shootemup.cc
===================================================================
--- branches/proxy/src/util/singleplayer_shootemup.cc	(revision 9356)
+++ branches/proxy/src/util/singleplayer_shootemup.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/state.cc
===================================================================
--- branches/proxy/src/util/state.cc	(revision 9356)
+++ branches/proxy/src/util/state.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #endif
 
-using namespace std;
+
 
 
Index: branches/proxy/src/util/track/track_manager.cc
===================================================================
--- branches/proxy/src/util/track/track_manager.cc	(revision 9356)
+++ branches/proxy/src/util/track/track_manager.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #include <stdarg.h>
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/util/track/track_node.cc
===================================================================
--- branches/proxy/src/util/track/track_node.cc	(revision 9356)
+++ branches/proxy/src/util/track/track_node.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "track_manager.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/world_entities/character_attributes.cc
===================================================================
--- branches/proxy/src/world_entities/character_attributes.cc	(revision 9356)
+++ branches/proxy/src/world_entities/character_attributes.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "stdincl.h" 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/effects/billboard.cc
===================================================================
--- branches/proxy/src/world_entities/effects/billboard.cc	(revision 9356)
+++ branches/proxy/src/world_entities/effects/billboard.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/effects/explosion.cc
===================================================================
--- branches/proxy/src/world_entities/effects/explosion.cc	(revision 9356)
+++ branches/proxy/src/world_entities/effects/explosion.cc	(revision 9357)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Explosion, CL_EXPLOSION);
Index: branches/proxy/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- branches/proxy/src/world_entities/effects/lightning_bolt.cc	(revision 9356)
+++ branches/proxy/src/world_entities/effects/lightning_bolt.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(LightningBolt, CL_LIGHTNING_BOLT);
Index: branches/proxy/src/world_entities/elements/image_entity.cc
===================================================================
--- branches/proxy/src/world_entities/elements/image_entity.cc	(revision 9356)
+++ branches/proxy/src/world_entities/elements/image_entity.cc	(revision 9357)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/elements/text_element.cc
===================================================================
--- branches/proxy/src/world_entities/elements/text_element.cc	(revision 9356)
+++ branches/proxy/src/world_entities/elements/text_element.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/environment.cc
===================================================================
--- branches/proxy/src/world_entities/environment.cc	(revision 9356)
+++ branches/proxy/src/world_entities/environment.cc	(revision 9357)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 CREATE_FACTORY(Environment, CL_ENVIRONMENT);
 
Index: branches/proxy/src/world_entities/environments/building.cc
===================================================================
--- branches/proxy/src/world_entities/environments/building.cc	(revision 9356)
+++ branches/proxy/src/world_entities/environments/building.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/environments/model_entity.cc
===================================================================
--- branches/proxy/src/world_entities/environments/model_entity.cc	(revision 9356)
+++ branches/proxy/src/world_entities/environments/model_entity.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/environments/water.cc
===================================================================
--- branches/proxy/src/world_entities/environments/water.cc	(revision 9356)
+++ branches/proxy/src/world_entities/environments/water.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Water, CL_WATER);
Index: branches/proxy/src/world_entities/items/item_container.cc
===================================================================
--- branches/proxy/src/world_entities/items/item_container.cc	(revision 9356)
+++ branches/proxy/src/world_entities/items/item_container.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "item_container.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/movie_entity.cc
===================================================================
--- branches/proxy/src/world_entities/movie_entity.cc	(revision 9356)
+++ branches/proxy/src/world_entities/movie_entity.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(MovieEntity, CL_MOVIE_ENTITY);
Index: branches/proxy/src/world_entities/npcs/door.cc
===================================================================
--- branches/proxy/src/world_entities/npcs/door.cc	(revision 9356)
+++ branches/proxy/src/world_entities/npcs/door.cc	(revision 9357)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/npcs/gate.cc
===================================================================
--- branches/proxy/src/world_entities/npcs/gate.cc	(revision 9356)
+++ branches/proxy/src/world_entities/npcs/gate.cc	(revision 9357)
@@ -31,5 +31,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/npcs/ground_turret.cc
===================================================================
--- branches/proxy/src/world_entities/npcs/ground_turret.cc	(revision 9356)
+++ branches/proxy/src/world_entities/npcs/ground_turret.cc	(revision 9357)
@@ -31,5 +31,5 @@
 CREATE_FACTORY(GroundTurret, CL_GROUND_TURRET);
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/npcs/repair_station.cc
===================================================================
--- branches/proxy/src/world_entities/npcs/repair_station.cc	(revision 9356)
+++ branches/proxy/src/world_entities/npcs/repair_station.cc	(revision 9357)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/planet.cc
===================================================================
--- branches/proxy/src/world_entities/planet.cc	(revision 9356)
+++ branches/proxy/src/world_entities/planet.cc	(revision 9357)
@@ -30,5 +30,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/laser_power_up.cc	(revision 9356)
+++ branches/proxy/src/world_entities/power_ups/laser_power_up.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(LaserPowerUp, CL_LASER_POWER_UP);
Index: branches/proxy/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/param_power_up.cc	(revision 9356)
+++ branches/proxy/src/world_entities/power_ups/param_power_up.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(ParamPowerUp, CL_PARAM_POWER_UP);
Index: branches/proxy/src/world_entities/power_ups/power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/power_up.cc	(revision 9356)
+++ branches/proxy/src/world_entities/power_ups/power_up.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 PowerUp::PowerUp(float r, float g, float b)
Index: branches/proxy/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/turret_power_up.cc	(revision 9356)
+++ branches/proxy/src/world_entities/power_ups/turret_power_up.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(TurretPowerUp, CL_TURRET_POWER_UP);
Index: branches/proxy/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/weapon_power_up.cc	(revision 9356)
+++ branches/proxy/src/world_entities/power_ups/weapon_power_up.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(WeaponPowerUp, CL_WEAPON_POWER_UP);
Index: branches/proxy/src/world_entities/projectiles/laser.cc
===================================================================
--- branches/proxy/src/world_entities/projectiles/laser.cc	(revision 9356)
+++ branches/proxy/src/world_entities/projectiles/laser.cc	(revision 9357)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Laser, CL_LASER);
Index: branches/proxy/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- branches/proxy/src/world_entities/projectiles/rail_projectile.cc	(revision 9356)
+++ branches/proxy/src/world_entities/projectiles/rail_projectile.cc	(revision 9357)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(RailProjectile, CL_RAIL_PROJECTILE);
Index: branches/proxy/src/world_entities/recorder.cc
===================================================================
--- branches/proxy/src/world_entities/recorder.cc	(revision 9356)
+++ branches/proxy/src/world_entities/recorder.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Recorder, CL_RECORDER);
Index: branches/proxy/src/world_entities/satellite.cc
===================================================================
--- branches/proxy/src/world_entities/satellite.cc	(revision 9356)
+++ branches/proxy/src/world_entities/satellite.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/world_entities/skybox.cc
===================================================================
--- branches/proxy/src/world_entities/skybox.cc	(revision 9356)
+++ branches/proxy/src/world_entities/skybox.cc	(revision 9357)
@@ -30,5 +30,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SkyBox, CL_SKYBOX);
Index: branches/proxy/src/world_entities/skydome.cc
===================================================================
--- branches/proxy/src/world_entities/skydome.cc	(revision 9356)
+++ branches/proxy/src/world_entities/skydome.cc	(revision 9357)
@@ -28,5 +28,5 @@
 #define SQR(x) (x*x)
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/skysphere.cc
===================================================================
--- branches/proxy/src/world_entities/skysphere.cc	(revision 9356)
+++ branches/proxy/src/world_entities/skysphere.cc	(revision 9357)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- branches/proxy/src/world_entities/space_ships/collision_probe.cc	(revision 9356)
+++ branches/proxy/src/world_entities/space_ships/collision_probe.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(CollisionProbe, CL_COLLISION_PROBE);
Index: branches/proxy/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/proxy/src/world_entities/space_ships/space_ship.cc	(revision 9356)
+++ branches/proxy/src/world_entities/space_ships/space_ship.cc	(revision 9357)
@@ -52,5 +52,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SpaceShip, CL_SPACE_SHIP);
Index: branches/proxy/src/world_entities/spectator.cc
===================================================================
--- branches/proxy/src/world_entities/spectator.cc	(revision 9356)
+++ branches/proxy/src/world_entities/spectator.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/terrain.cc
===================================================================
--- branches/proxy/src/world_entities/terrain.cc	(revision 9356)
+++ branches/proxy/src/world_entities/terrain.cc	(revision 9357)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Terrain, CL_TERRAIN);
Index: branches/proxy/src/world_entities/test_entity.cc
===================================================================
--- branches/proxy/src/world_entities/test_entity.cc	(revision 9356)
+++ branches/proxy/src/world_entities/test_entity.cc	(revision 9357)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/aim.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/aim.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/aim.cc	(revision 9357)
@@ -27,5 +27,5 @@
 #include "world_entity.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9357)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/aiming_turret.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/aiming_turret.cc	(revision 9357)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(AimingTurret, CL_AIMING_TURRET);
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/ammo_container.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/ammo_container.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/ammo_container.cc	(revision 9357)
@@ -22,5 +22,5 @@
 #include <assert.h>
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/world_entities/weapons/cannon.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/cannon.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/cannon.cc	(revision 9357)
@@ -35,5 +35,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Cannon, CL_CANNON);
Index: branches/proxy/src/world_entities/weapons/crosshair.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/crosshair.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/crosshair.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "material.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9357)
@@ -36,5 +36,5 @@
 #include "effects/explosion.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/hyperblaster.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/hyperblaster.cc	(revision 9357)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Hyperblaster, CL_HYPERBLASTER);
Index: branches/proxy/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/targeting_turret.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/targeting_turret.cc	(revision 9357)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(TargetingTurret, CL_TARGETING_TURRET);
 
-using namespace std;
+
 
 
Index: branches/proxy/src/world_entities/weapons/turret.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/turret.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/turret.cc	(revision 9357)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(Turret, CL_TURRET);
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/world_entities/weapons/weapon.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9356)
+++ branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9357)
@@ -36,5 +36,5 @@
 #include "elements/glgui_energywidget.h"
 
-using namespace std;
+
 
 ////////////////////
